using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an giant squid corpse" )]
	public class GiantSquid : BaseCreature
	{
		[Constructable]
		public GiantSquid() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "an giant squid";
			Body = 312;
			BaseSoundID = 357;
			Hue = 981;

			SetStr( 201, 320 );
			SetDex( 81, 90 );
			SetInt( 101, 120 );

			SetHits( 2000 );

			SetDamage( 23, 37 );

			SetDamageType( ResistanceType.Physical, 90 );
			SetDamageType( ResistanceType.Poison, 90 );

			SetResistance( ResistanceType.Physical, 30, 95 );
			SetResistance( ResistanceType.Fire, 100 );
			SetResistance( ResistanceType.Cold, 50, 95 );
			SetResistance( ResistanceType.Poison, 60, 95 );
			SetResistance( ResistanceType.Energy, 77, 90 );

			SetSkill( SkillName.EvalInt, 100.0 );
			SetSkill( SkillName.Magery, 112.6, 117.5 );
			SetSkill( SkillName.Meditation, 100.0 );
			SetSkill( SkillName.MagicResist, 117.6, 120.0 );
			SetSkill( SkillName.Tactics, 100.0 );
			SetSkill( SkillName.Wrestling, 84.1, 98.0 );

			Fame = 26000;
			Karma = -26000;

			VirtualArmor = 54;

			PackGold( 1200, 1350 );

   
		}
		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich );
		}

		public override bool BardImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override int TreasureMapLevel{ get{ return 1; } }

		public GiantSquid( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}