using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a lord water elemental corpse" )]
	public class LordWaterElemental : BaseCreature
	{
		[Constructable]
		public LordWaterElemental () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a lord water elemental";
			Body = 16;
			BaseSoundID = 278;
			Hue = 1152;

			SetStr( 226, 255 );
			SetDex( 166, 185 );
			SetInt( 201, 225 );

			SetHits( 376, 593 );

			SetDamage( 17, 29 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 35, 45 );
			SetResistance( ResistanceType.Fire, 90, 100 );
			SetResistance( ResistanceType.Cold, 10, 25 );
			SetResistance( ResistanceType.Poison, 60, 70 );
			SetResistance( ResistanceType.Energy, 5, 10 );

			SetSkill( SkillName.EvalInt, 80.1, 95.0 );
			SetSkill( SkillName.Magery, 80.1, 95.0 );
			SetSkill( SkillName.MagicResist, 100.1, 115.0 );
			SetSkill( SkillName.Tactics, 80.1,90.0 );
			SetSkill( SkillName.Wrestling, 80.1, 90.0 );

			Fame = 4500;
			Karma = -4500;

			VirtualArmor = 40;
			ControlSlots = 3;
			CanSwim = true;

			PackGold( 200, 260 );
		}
		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich );
		}

		public override int TreasureMapLevel{ get{ return 2; } }

		public LordWaterElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}