using System;
using Server.Mobiles;
using Server.Network; 

namespace Server.Items
{
	public class NeptunesRing : GoldRing
	{

		[Constructable]
		public NeptunesRing()
		{
			Attributes.BonusDex = 5;
			Attributes.BonusStr = 5;
			Attributes.AttackChance = 15;
			Resistances.Fire = 100;
			Name = "Neptune's Pearl";
			Hue = 1153;
		}

		public NeptunesRing( Serial serial ) : base( serial )
		{
		}

		public override void OnAdded( object parent )
		{
			base.OnAdded( parent );

			if ( parent is Mobile )
			{
				((Mobile)parent).CanSwim = true;
			}
		}

		public override void OnRemoved( object parent )
		{
			base.OnRemoved( parent );

			if ( parent is Mobile )
			{
				((Mobile)parent).CanSwim = false;
			}
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}