using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0xE87, 0xE88 )]
	public class NeptunesTrident : BaseSpear
	{

		public override int ArtifactRarity{ get{ return 15; } }

		public override WeaponAbility PrimaryAbility{ get{ return WeaponAbility.BleedAttack; } }
		public override WeaponAbility SecondaryAbility{ get{ return WeaponAbility.Dismount; } }

		public override int AosStrengthReq{ get{ return 55; } }
		public override int AosMinDamage{ get{ return 13; } }
		public override int AosMaxDamage{ get{ return 14; } }
		public override int AosSpeed{ get{ return 43; } }

		public override int OldStrengthReq{ get{ return 15; } }
		public override int OldMinDamage{ get{ return 4; } }
		public override int OldMaxDamage{ get{ return 16; } }
		public override int OldSpeed{ get{ return 45; } }

		public override int InitMinHits{ get{ return 225; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public NeptunesTrident() : base( 0xE87 )
		{
			Name = "neptunes trident";
			Weight = 11.0;
			Hue = 1288;

		AccuracyLevel = WeaponAccuracyLevel.Supremely; 
         	DurabilityLevel = WeaponDurabilityLevel.Indestructible;
         	DamageLevel = WeaponDamageLevel.Vanq;
         	Quality = WeaponQuality.Exceptional;

		Attributes.WeaponDamage = 20;
		Attributes.RegenMana = 5;
		Attributes.RegenHits = 5;
		
		Attributes.RegenStam = 5;
		Attributes.SpellChanneling = 1;
		WeaponAttributes.SelfRepair = 5;
		WeaponAttributes.HitLightning = 60;

		}

		public override void GetDamageTypes( Mobile wielder, out int phys, out int fire, out int cold, out int pois, out int nrgy )
		{		
			phys = 50;
			nrgy = 100;
			pois = 25;
			fire = 5;
			cold = 25;
		}


		public NeptunesTrident( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( Weight == 10.0 )
				Weight = 11.0;
		}
	}
}